## wxpython3.0 3.0.0.0+dfsg

=== debian/changelog ===
wxpython3.0 (3.0.0.0+dfsg-4) unstable; urgency=medium

  * Fix python-wxversion to include wx.pth as a symlink so that 'import wx'
    works when python-wxgtk2.8 is installed but python-wxgtk3.0 isn't.
    (Closes: #758209)
  * New binary package python-gtk-media3.0 for wx.media.  (Closes: #722687)

 -- Olly Betts <olly@survex.com>  Sun, 17 Aug 2014 23:00:56 +1200

wxpython3.0 (3.0.0.0+dfsg-3) unstable; urgency=medium

  * debian/control: Build python-wxtools and python-wxversion packages
    instead of wxwidgets2.8 doing so.
  * debian/python-wxgtk3.0.install: Don't package duplicate tree of .py files.
    (Closes: #757893)

 -- Olly Betts <olly@survex.com>  Wed, 13 Aug 2014 16:15:45 +1200

wxpython3.0 (3.0.0.0+dfsg-2) unstable; urgency=medium

  * Fix wx3.0.pth so that wxversion.ensureMinimal() works.
  * debian/control: Move commented out details for binary packages currently
    provided by wxwidgets2.8 into a separate file.
  * New patch suppress_warning_about_release_version_mismatch.patch to
    suppress: UserWarning: wxPython/wxWidgets release number mismatch

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 17:02:36 +1200

wxpython3.0 (3.0.0.0+dfsg-1) unstable; urgency=medium

  * New upstream major release (Closes: #734799)
    + Split wxPython into its own source package - previously it was in the
      wxwidgets2.8 source package, but wxWidgets and wxPython releases no
      longer happen at all close together, so this doesn't work well.
    + debian/repack.sh: Update for new upstream release.
    + Update patches and drop those applied upstream.
  * debian/rules: Compressing packages using xz is now the default so no
    longer needs explicitly specifying.
  * Fix updating of alternatives for wx-config.
  * debian/copyright: .orig.tar.gz is now .orig.tar.xz.
  * debian/control: Drop conflicts against packages (or versions of packages)
    which no longer exist in any supported Debian or Ubuntu release.
  * debian/control: Drop 'Suggests: editra'.

 -- Olly Betts <olly@survex.com>  Wed, 23 Jul 2014 21:02:37 +1200

wxwidgets2.8 (2.8.12.1+dfsg2-1) unstable; urgency=medium

  * Repack to remove non-free files from wxPython. (Closes: #735225)
  * Change section to "oldlibs" to try to encourage new packages to use
    wx 3.0 instead.
  * Fix warnings building code using wx2.8 with GCC 4.8. (Closes: #740115)
  * "Standards-Version: 3.9.5" - no changes required.
  * debian/watch: Add dversionmangle to account for repacked orig tarball.

 -- Olly Betts <olly@survex.com>  Wed, 26 Mar 2014 15:08:15 +1300

wxwidgets2.8 (2.8.12.1+dfsg-2) unstable; urgency=high

  * Don't build binary package wx-common as that's now built by wxwidgets3.0.
    Upload with urgency=high as wxwidgets3.0 is already in testing, and the
    only change in this upload is to not build wx-common.  (Closes: #730211)

 -- Olly Betts <olly@survex.com>  Mon, 25 Nov 2013 18:09:23 +1300

wxwidgets2.8 (2.8.12.1+dfsg-1) unstable; urgency=low

  * Re-repack upstream to remove unused embedded copy of editra, which
    contains a base64 encoded exe file without source code. (Closes: #724470)
    + New patch fix-editra-removal.patch to fix up build system for removal of
      editra during repack.
    + debian/copyright: Drop license information for files in editra which we
      now remove in the repack.
    + debian/rules: Update for removal of editra during repack.
    + Just remove the upstream debian directory while repacking, rather than
      carefully renaming it to debian-upstream.
  * debian/copyright: Include licence info for wxPython/wx/lib/pubsub.
  * Use xz compression for source and binary packages.
  * debian/wxPython-tools.1: Make the pointer the pydoc documentation slightly
    more helpful by giving an example pydoc invocation.

 -- Olly Betts <olly@survex.com>  Tue, 24 Sep 2013 18:27:56 +1200

wxwidgets2.8 (2.8.12.1-16) unstable; urgency=low

  * Fix warning when compiling with recent GCC in C++11 mode.
    (Closes: #721184)
  * debian/copyright: Add missing licences for contrib/src/stc/scintilla,
    wxPython/wx/tools/Editra/src/extern/pygments and
    wxPython/contrib/activex/wxie.
  * Actually apply patches to add Tamil and Arabic i18n.
  * debian/build_all: Remove unused script.
  * debian/patches/WX_CONFIG.dpatch: Remove unused, obsolete patch.
  * debian/patches/dont-check-for-pangox.patch: The check for pangox is only
    done if building wxX11, which we don't do, so this patch isn't actually
    necessary, so drop it.
  * New patch wxpython-=-should-be-==.patch which fixes mishandling of the
    bitmap depth in the wxPython wrapper code.

 -- Olly Betts <olly@survex.com>  Thu, 12 Sep 2013 16:59:29 +1200

wxwidgets2.8 (2.8.12.1-15) unstable; urgency=low

  * Fix race condition which could result in mmedia libraries going into more
    than one binary package in a parallel package build.  (Closes: #719250)
  * wx-common now "Recommends: zip".  (Closes: #717857)
  * Add python-libxml2-dbg to "Build-Depends:" to fix FTBFS on HPPA.
    (Closes: #719086)
  * Don't mark -dbg packages as "Multi-Arch: same" - they depend on
    wx2.8-headers, which isn't multi-arch, so they can't be parallel installed.
  * Improve short descriptions of libwxgtk-media* packages.

 -- Olly Betts <olly@survex.com>  Wed, 28 Aug 2013 10:25:35 +1200

wxwidgets2.8 (2.8.12.1-14) unstable; urgency=low

  * Apply patch from Fabrice Coutadeur to enable wxmediactrl.
    (Closes: #588104)
  * New patch wx-2.8.12-print-ps-in-latin1-locale-segv-v2.patch
    (Closes: #702378)
  * debian/control.in: Remove errant backquote.  (Closes: #713866)

 -- Olly Betts <olly@survex.com>  Fri, 12 Jul 2013 22:47:48 +1200

wxwidgets2.8 (2.8.12.1-13) unstable; urgency=low

  * We don't actually use pangox, so don't test for it (new patch
    dont-check-for-pangox.patch from Emilio Pozuelo Monfort).
    (Closes: #701836)
  * Allow img2py to work with an X display (new patch
    img2py-no-display.patch from Nicolas Boulenguez).  (Closes: #698198)

