## wxpython3.0 3.0.1.1+dfsg

=== debian/changelog ===
wxpython3.0 (3.0.1.1+dfsg-2) unstable; urgency=low

  * Disable patch img2py-no-display.patch as it breaks handling of any format
    except PNG.
  * debian/control: "Standards-Version: 3.9.6" - no changes required.
  * New patch pypubsub-for-taskcoach.patch so taskcoach can avoid tightly
    versioned dependency on us (see #762413).

 -- Olly Betts <olly@survex.com>  Tue, 21 Oct 2014 13:08:47 +1300

wxpython3.0 (3.0.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release:
    + Fixed "wxPyXmlSubclassFactory, no destructor found." error.
    + Fixed "wxPyHtmlWinTagHandler, no destructor found." error.
    + Some Pubsub updates.
    + Includes the newest code from AGW and FloatCanvas.
    + Update img2py-no-display.patch for upstream changes to the code.
  * Fix lintian warning about old FSF address by removing unused code under
    the "wxActiveX Library Licence, Version 3" when we repack.
    + Update wxpython-missing-format-strings.patch not to patch files now
      removed in the repack.

 -- Olly Betts <olly@survex.com>  Wed, 17 Sep 2014 15:18:18 +1200
