## wxpython3.0 3.0.2.0+dfsg

=== debian/changelog ===
wxpython3.0 (3.0.2.0+dfsg-8build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:47:51 +0000

wxpython3.0 (3.0.2.0+dfsg-8) unstable; urgency=medium

  * Update team email address due to alioth retirement (Closes: #899835)

 -- Scott Talbert <swt@techie.net>  Wed, 30 May 2018 23:26:05 -0400

wxpython3.0 (3.0.2.0+dfsg-7) unstable; urgency=medium

  * debian/control: build against GTK+ 3 build of wxwidgets3.0
  * Re-enable binary package python-wxgtk-webview3.0
  * debian/control: Update VCS URLs to reflect new salsa VCS location
  * debian/control: Note conformance with Standards-Version 4.1.3

 -- Scott Talbert <swt@techie.net>  Fri, 30 Mar 2018 00:03:13 -0400

wxpython3.0 (3.0.2.0+dfsg-6) unstable; urgency=medium

  * Add patch to fix wxcairo for pycairo 1.11.1+ (Closes: #884411)

 -- Scott Talbert <swt@techie.net>  Sat, 16 Dec 2017 22:33:43 -0500

wxpython3.0 (3.0.2.0+dfsg-5) unstable; urgency=medium

  * debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
    Drop pointless patch - it's to a bundled copy of the wxWidgets sources
    which we don't use in the Debian package.
  * Disable binary package python-wxgtk-webview3.0. (Closes: #876789)

 -- Olly Betts <olly@survex.com>  Tue, 26 Sep 2017 13:06:44 +1300

wxpython3.0 (3.0.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
    - fix for upstream issue breaking poedit2 package (Closes: #860043).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Apr 2017 18:38:43 +0200

wxpython3.0 (3.0.2.0+dfsg-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Add patch to fix wx.lib.plot (LP: #1545698)

 -- Scott Talbert <swt@techie.net>  Mon, 18 Jul 2016 20:21:42 -0400

wxpython3.0 (3.0.2.0+dfsg-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Add binary package python-wxgtk-webview3.0 for wx.html2.
    (Closes: #821934, LP: #1388847)

  [ Olly Betts ]
  * Restore "Suggests: wx3.0-doc" as wx3.0-doc now exists.
  * debian/control: "Standards-Version: 3.9.8" - changes for conformance:
    + debian/python-wxtools.menu: Remove obsolete menu file.
  * debian/control: Give secure https URL for anon git access.

 -- Olly Betts <olly@survex.com>  Mon, 02 May 2016 11:03:40 +1200

wxpython3.0 (3.0.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    + Drop the following patches which have been applied upstream:
      - fix-path-to-some-interpreters.patch
      - wxpython-=-should-be-==.patch
    + Update the following patches which have been partly applied upstream:
      - wxpython3.0-eliminate-string-exceptions.patch
  * debian/README.Debian: python-wxtools and python-wxversion are now built
    from the wxpython3.0 source package.
  * Use the .desktop files from wxPython rather than our own.

 -- Olly Betts <olly@survex.com>  Fri, 22 May 2015 17:49:52 +1200
