=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: wxpython3.0
 Section: python
 Priority: optional
-Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
-Uploaders: Olly Betts <olly@survex.com>
+Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
+Uploaders: Olly Betts <olly@survex.com>, Scott Talbert <swt@techie.net>
 Build-Depends:
     debhelper (>= 9),
     dh-python,
-    libgtk2.0-dev,
-    libwxgtk3.0-dev,
-    libwxgtk-media3.0-dev,
-#    libwxgtk-webview3.0-dev,
+    libgtk-3-dev,
+    libwxgtk3.0-gtk3-dev,
+    libwxgtk-media3.0-gtk3-dev,
+    libwxgtk-webview3.0-gtk3-dev,
     python-all,
     python-all-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/freewx/wx.git -b wxpy3.0-debian
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freewx/wx.git;a=shortlog;h=refs/heads/wxpy3.0-debian
-Homepage: http://wxpython.org/
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/freewx-team/wx.git -b wxpy3.0-debian
+Vcs-Browser: https://salsa.debian.org/freewx-team/wx/tree/wxpy3.0-debian
+Homepage: https://www.wxpython.org/
 
 Package: python-wxgtk3.0
 Architecture: any
 Depends: python-wxversion, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-#Suggests: wx3.0-doc, wx3.0-examples
+Suggests: wx3.0-doc
 Provides: ${python:Provides}
 Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
@@ -51,6 +51,17 @@
  .
  This package provides a Python interface to wxMediaCtrl.
 
+Package: python-wxgtk-webview3.0
+Architecture: any
+Depends: python-wxgtk3.0, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.html2)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+ .
+ This package provides a Python interface to wxWebView.
+
 Package: python-wxversion
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
