=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*$// \
  http://sf.net/wxpython/wxPython-src-(.*)\.tar\.bz2 debian debian/repack.sh
